declare module android {
	export module support {
		export module v4 {
			export module view {
				export class ScrollingView extends javalangObject {
					/**
					 * Constructs a new instance of the android.support.v4.view.ScrollingView interface with the provided implementation.
					 */
					public constructor(implementation: {
						computeHorizontalScrollRange(): number;
						computeHorizontalScrollOffset(): number;
						computeHorizontalScrollExtent(): number;
						computeVerticalScrollRange(): number;
						computeVerticalScrollOffset(): number;
						computeVerticalScrollExtent(): number;
					});
					public computeVerticalScrollRange(): number;
					public computeVerticalScrollExtent(): number;
					public computeHorizontalScrollRange(): number;
					public computeHorizontalScrollExtent(): number;
					public computeHorizontalScrollOffset(): number;
					public computeVerticalScrollOffset(): number;
				}
			}
		}
	}
}

declare module android {
	export module support {
		export module v4 {
			export module view {
				export class NestedScrollingChild extends javalangObject {
					/**
					 * Constructs a new instance of the android.support.v4.view.NestedScrollingChild interface with the provided implementation.
					 */
					public constructor(implementation: {
						setNestedScrollingEnabled(param0: boolean): void;
						isNestedScrollingEnabled(): boolean;
						startNestedScroll(param0: number): boolean;
						stopNestedScroll(): void;
						hasNestedScrollingParent(): boolean;
						dispatchNestedScroll(param0: number, param1: number, param2: number, param3: number, param4: native.Array<number>): boolean;
						dispatchNestedPreScroll(param0: number, param1: number, param2: native.Array<number>, param3: native.Array<number>): boolean;
						dispatchNestedFling(param0: number, param1: number, param2: boolean): boolean;
						dispatchNestedPreFling(param0: number, param1: number): boolean;
					});
					public dispatchNestedScroll(param0: number, param1: number, param2: number, param3: number, param4: native.Array<number>): boolean;
					public isNestedScrollingEnabled(): boolean;
					public dispatchNestedFling(param0: number, param1: number, param2: boolean): boolean;
					public stopNestedScroll(): void;
					public dispatchNestedPreScroll(param0: number, param1: number, param2: native.Array<number>, param3: native.Array<number>): boolean;
					public setNestedScrollingEnabled(param0: boolean): void;
					public dispatchNestedPreFling(param0: number, param1: number): boolean;
					public startNestedScroll(param0: number): boolean;
					public hasNestedScrollingParent(): boolean;
				}
			}
		}
	}
}

import javalangRunnable = java.lang.Runnable;
/// <reference path="./android.support.v4.view.ViewPropertyAnimatorCompat.d.ts" />
/// <reference path="./any.d.ts" />
/// <reference path="./any.d.ts" />
/// <reference path="./android.view.View.d.ts" />
/// <reference path="./android.view.animation.Interpolator.d.ts" />
/// <reference path="./java.lang.Runnable.d.ts" />
declare module android {
	export module support {
		export module v4 {
			export module view {
				export class ViewPropertyAnimatorCompat extends javalangObject {
					public withLayer(): android.support.v4.view.ViewPropertyAnimatorCompat;
					public alphaBy(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public setStartDelay(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public scaleXBy(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public setDuration(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public xBy(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public start(): void;
					public rotationYBy(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public rotationBy(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public translationZBy(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public getDuration(): number;
					public rotationXBy(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public withEndAction(param0: javalangRunnable): android.support.v4.view.ViewPropertyAnimatorCompat;
					public getStartDelay(): number;
					public setListener(param0: any): android.support.v4.view.ViewPropertyAnimatorCompat;
					public rotationX(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public translationXBy(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public zBy(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public alpha(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public scaleYBy(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public yBy(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public getInterpolator(): android.view.animation.Interpolator;
					public rotationY(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public cancel(): void;
					public rotation(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public scaleY(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public setInterpolator(param0: android.view.animation.Interpolator): android.support.v4.view.ViewPropertyAnimatorCompat;
					public y(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public z(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public x(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public scaleX(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public setUpdateListener(param0: any): android.support.v4.view.ViewPropertyAnimatorCompat;
					public withStartAction(param0: javalangRunnable): android.support.v4.view.ViewPropertyAnimatorCompat;
					public translationYBy(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public translationZ(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public translationX(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
					public translationY(param0: number): android.support.v4.view.ViewPropertyAnimatorCompat;
				}
				export module ViewPropertyAnimatorCompat {
					export class BaseViewPropertyAnimatorCompatImpl extends javalangObject implements android.support.v4.view.ViewPropertyAnimatorCompat.ViewPropertyAnimatorCompatImpl {
						public zBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public y(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: android.view.animation.Interpolator): void;
						public setUpdateListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public translationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withEndAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public rotation(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withLayer(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): android.view.animation.Interpolator;
						public start(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public alpha(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public x(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withStartAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public alphaBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public xBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public cancel(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZ(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public yBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public z(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
					}
					export module BaseViewPropertyAnimatorCompatImpl {
						export class Starter extends javalangObject implements javalangRunnable {
							public run(): void;
						}
					}
					export class ICSViewPropertyAnimatorCompatImpl extends android.support.v4.view.ViewPropertyAnimatorCompat.BaseViewPropertyAnimatorCompatImpl {
						public zBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public y(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: android.view.animation.Interpolator): void;
						public setUpdateListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public translationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotation(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withEndAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public rotationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withLayer(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): android.view.animation.Interpolator;
						public start(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public alpha(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public x(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withStartAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public alphaBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public xBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public cancel(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZ(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public yBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public z(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
					}
					export module ICSViewPropertyAnimatorCompatImpl {
						export class MyVpaListener extends javalangObject {
							public onAnimationCancel(param0: android.view.View): void;
							public onAnimationEnd(param0: android.view.View): void;
							public onAnimationStart(param0: android.view.View): void;
						}
					}
					export class JBMr2ViewPropertyAnimatorCompatImpl extends android.support.v4.view.ViewPropertyAnimatorCompat.JBViewPropertyAnimatorCompatImpl {
						public zBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public y(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: android.view.animation.Interpolator): void;
						public setUpdateListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public scaleY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotation(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withEndAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public rotationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withLayer(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): android.view.animation.Interpolator;
						public start(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public alpha(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public x(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withStartAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public alphaBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public xBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public cancel(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZ(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public yBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public z(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
					}
					export class JBViewPropertyAnimatorCompatImpl extends android.support.v4.view.ViewPropertyAnimatorCompat.ICSViewPropertyAnimatorCompatImpl {
						public zBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public y(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: android.view.animation.Interpolator): void;
						public setUpdateListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public scaleY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withEndAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public rotation(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withLayer(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): android.view.animation.Interpolator;
						public start(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public alpha(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public x(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withStartAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public translationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public alphaBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public xBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public cancel(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZ(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public yBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public z(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
					}
					export class KitKatViewPropertyAnimatorCompatImpl extends android.support.v4.view.ViewPropertyAnimatorCompat.JBMr2ViewPropertyAnimatorCompatImpl {
						public zBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public y(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: android.view.animation.Interpolator): void;
						public setUpdateListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public scaleY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotation(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withEndAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public rotationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withLayer(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): android.view.animation.Interpolator;
						public start(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public alpha(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public x(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withStartAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public alphaBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public xBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public cancel(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZ(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public yBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public z(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
					}
					export class LollipopViewPropertyAnimatorCompatImpl extends android.support.v4.view.ViewPropertyAnimatorCompat.KitKatViewPropertyAnimatorCompatImpl {
						public zBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public y(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: android.view.animation.Interpolator): void;
						public setUpdateListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public scaleY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotation(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withEndAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public rotationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withLayer(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): android.view.animation.Interpolator;
						public start(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public alpha(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public x(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withStartAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public alphaBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public xBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public cancel(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZ(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public yBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public z(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
					}
					export class ViewPropertyAnimatorCompatImpl extends javalangObject {
						/**
						 * Constructs a new instance of the android.support.v4.view.ViewPropertyAnimatorCompat$ViewPropertyAnimatorCompatImpl interface with the provided implementation.
						 */
						public constructor(implementation: {
							setDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							getDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
							setInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: android.view.animation.Interpolator): void;
							getInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): android.view.animation.Interpolator;
							setStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							getStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
							alpha(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							alphaBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							rotation(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							rotationBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							rotationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							rotationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							rotationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							rotationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							scaleX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							scaleXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							scaleY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							scaleYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							cancel(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
							x(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							xBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							y(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							yBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							z(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							zBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							translationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							translationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							translationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							translationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							translationZ(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							translationZBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
							start(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
							withLayer(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
							withStartAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
							withEndAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
							setListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
							setUpdateListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						});
						public zBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public y(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: android.view.animation.Interpolator): void;
						public setUpdateListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setListener(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: any): void;
						public setDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public scaleY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public setStartDelay(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotation(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withEndAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public rotationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withLayer(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getInterpolator(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): android.view.animation.Interpolator;
						public start(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public alpha(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public rotationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public x(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationX(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public withStartAction(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: javalangRunnable): void;
						public alphaBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public xBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public scaleXBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public cancel(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): void;
						public rotationY(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZ(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationYBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public yBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public getDuration(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View): number;
						public z(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
						public translationZBy(param0: android.support.v4.view.ViewPropertyAnimatorCompat, param1: android.view.View, param2: number): void;
					}
				}
			}
		}
	}
}

/// <reference path="./android.view.View.d.ts" />
declare module android {
	export module support {
		export module v4 {
			export module view {
				export class NestedScrollingParent extends javalangObject {
					/**
					 * Constructs a new instance of the android.support.v4.view.NestedScrollingParent interface with the provided implementation.
					 */
					public constructor(implementation: {
						onStartNestedScroll(param0: android.view.View, param1: android.view.View, param2: number): boolean;
						onNestedScrollAccepted(param0: android.view.View, param1: android.view.View, param2: number): void;
						onStopNestedScroll(param0: android.view.View): void;
						onNestedScroll(param0: android.view.View, param1: number, param2: number, param3: number, param4: number): void;
						onNestedPreScroll(param0: android.view.View, param1: number, param2: number, param3: native.Array<number>): void;
						onNestedFling(param0: android.view.View, param1: number, param2: number, param3: boolean): boolean;
						onNestedPreFling(param0: android.view.View, param1: number, param2: number): boolean;
						getNestedScrollAxes(): number;
					});
					public onNestedFling(param0: android.view.View, param1: number, param2: number, param3: boolean): boolean;
					public onNestedPreFling(param0: android.view.View, param1: number, param2: number): boolean;
					public onNestedPreScroll(param0: android.view.View, param1: number, param2: number, param3: native.Array<number>): void;
					public getNestedScrollAxes(): number;
					public onStartNestedScroll(param0: android.view.View, param1: android.view.View, param2: number): boolean;
					public onNestedScroll(param0: android.view.View, param1: number, param2: number, param3: number, param4: number): void;
					public onStopNestedScroll(param0: android.view.View): void;
					public onNestedScrollAccepted(param0: android.view.View, param1: android.view.View, param2: number): void;
				}
			}
		}
	}
}

/// <reference path="./android.content.Context.d.ts" />
/// <reference path="./android.graphics.Point.d.ts" />
/// <reference path="./android.graphics.Rect.d.ts" />
/// <reference path="./android.graphics.drawable.Drawable.d.ts" />
/// <reference path="./android.os.Bundle.d.ts" />
/// <reference path="./android.util.AttributeSet.d.ts" />
/// <reference path="./android.view.ActionMode.d.ts" />
/// <reference path="./android.view.ContextMenu.d.ts" />
/// <reference path="./android.view.KeyEvent.d.ts" />
/// <reference path="./android.view.MotionEvent.d.ts" />
/// <reference path="./android.view.View.d.ts" />
/// <reference path="./android.view.ViewParent.d.ts" />
/// <reference path="./android.view.accessibility.AccessibilityEvent.d.ts" />
/// <reference path="./java.lang.Runnable.d.ts" />
declare module android {
	export module support {
		export module v4 {
			export module widget {
				export class SwipeRefreshLayout extends android.view.ViewGroup implements android.support.v4.view.NestedScrollingParent, android.support.v4.view.NestedScrollingChild {
					public static LARGE: number;
					public static DEFAULT: number;
					public mFrom: number;
					public mOriginalOffsetTop: number;
					public onNestedFling(param0: android.view.View, param1: number, param2: number, param3: boolean): boolean;
					public onKeyUp(param0: number, param1: android.view.KeyEvent): boolean;
					public startActionModeForChild(param0: android.view.View, param1: android.view.ActionMode.Callback, param2: number): android.view.ActionMode;
					public startActionModeForChild(param0: android.view.View, param1: android.view.ActionMode.Callback): android.view.ActionMode;
					public sendAccessibilityEventUnchecked(param0: android.view.accessibility.AccessibilityEvent): void;
					public getChildDrawingOrder(param0: number, param1: number): number;
					public dispatchNestedPreScroll(param0: number, param1: number, param2: native.Array<number>, param3: native.Array<number>): boolean;
					public notifySubtreeAccessibilityStateChanged(param0: android.view.View, param1: android.view.View, param2: number): void;
					public invalidateChildInParent(param0: native.Array<number>, param1: android.graphics.Rect): android.view.ViewParent;
					public isLayoutRequested(): boolean;
					public clearChildFocus(param0: android.view.View): void;
					public isRefreshing(): boolean;
					public isTextDirectionResolved(): boolean;
					public onNestedPreFling(param0: android.view.View, param1: number, param2: number): boolean;
					public showContextMenuForChild(param0: android.view.View): boolean;
					public isLayoutDirectionResolved(): boolean;
					public addView(param0: android.view.View, param1: number): void;
					public stopNestedScroll(): void;
					public setOnRefreshListener(param0: android.support.v4.widget.SwipeRefreshLayout.OnRefreshListener): void;
					public requestChildFocus(param0: android.view.View, param1: android.view.View): void;
					public onTouchEvent(param0: android.view.MotionEvent): boolean;
					public scheduleDrawable(param0: android.graphics.drawable.Drawable, param1: javalangRunnable, param2: number): void;
					public setRefreshing(param0: boolean): void;
					public bringChildToFront(param0: android.view.View): void;
					public updateViewLayout(param0: android.view.View, param1: android.view.ViewGroup.LayoutParams): void;
					public getLayoutDirection(): number;
					public getParentForAccessibility(): android.view.ViewParent;
					public constructor(param0: android.content.Context, param1: android.util.AttributeSet, param2: number, param3: number);
					public addView(param0: android.view.View, param1: number, param2: number): void;
					public createContextMenu(param0: android.view.ContextMenu): void;
					public setColorSchemeResources(param0: native.Array<number>): void;
					public dispatchNestedScroll(param0: number, param1: number, param2: number, param3: number, param4: native.Array<number>): boolean;
					public addView(param0: android.view.View, param1: android.view.ViewGroup.LayoutParams): void;
					public dispatchNestedFling(param0: number, param1: number, param2: boolean): boolean;
					public childDrawableStateChanged(param0: android.view.View): void;
					public getChildVisibleRect(param0: android.view.View, param1: android.graphics.Rect, param2: android.graphics.Point): boolean;
					public getTextDirection(): number;
					public requestFitSystemWindows(): void;
					public onNestedScrollAccepted(param0: android.view.View, param1: android.view.View, param2: number): void;
					public focusSearch(param0: number): android.view.View;
					public setProgressBackgroundColorSchemeColor(param0: number): void;
					public onInterceptTouchEvent(param0: android.view.MotionEvent): boolean;
					public setProgressViewEndTarget(param0: boolean, param1: number): void;
					public isTextAlignmentResolved(): boolean;
					public onNestedPreScroll(param0: android.view.View, param1: number, param2: number, param3: native.Array<number>): void;
					public requestTransparentRegion(param0: android.view.View): void;
					public onKeyDown(param0: number, param1: android.view.KeyEvent): boolean;
					public setSize(param0: number): void;
					public onStartNestedScroll(param0: android.view.View, param1: android.view.View, param2: number): boolean;
					public setProgressBackgroundColor(param0: number): void;
					public canResolveTextAlignment(): boolean;
					public setColorScheme(param0: native.Array<number>): void;
					public onNestedScroll(param0: android.view.View, param1: number, param2: number, param3: number, param4: number): void;
					public canResolveTextDirection(): boolean;
					public addView(param0: android.view.View, param1: number, param2: android.view.ViewGroup.LayoutParams): void;
					public requestDisallowInterceptTouchEvent(param0: boolean): void;
					public onKeyMultiple(param0: number, param1: number, param2: android.view.KeyEvent): boolean;
					public requestChildRectangleOnScreen(param0: android.view.View, param1: android.graphics.Rect, param2: boolean): boolean;
					public setProgressBackgroundColorSchemeResource(param0: number): void;
					public getParent(): android.view.ViewParent;
					public childHasTransientStateChanged(param0: android.view.View, param1: boolean): void;
					public onKeyLongPress(param0: number, param1: android.view.KeyEvent): boolean;
					public setColorSchemeColors(param0: native.Array<number>): void;
					public setNestedScrollingEnabled(param0: boolean): void;
					public setDistanceToTriggerSync(param0: number): void;
					public onStopNestedScroll(param0: android.view.View): void;
					public sendAccessibilityEvent(param0: number): void;
					public requestLayout(): void;
					public onDetachedFromWindow(): void;
					public onMeasure(param0: number, param1: number): void;
					public constructor(param0: android.content.Context, param1: android.util.AttributeSet, param2: number);
					public canResolveLayoutDirection(): boolean;
					public onNestedPrePerformAccessibilityAction(param0: android.view.View, param1: number, param2: android.os.Bundle): boolean;
					public removeView(param0: android.view.View): void;
					public getTextAlignment(): number;
					public unscheduleDrawable(param0: android.graphics.drawable.Drawable, param1: javalangRunnable): void;
					public invalidateChild(param0: android.view.View, param1: android.graphics.Rect): void;
					public invalidateDrawable(param0: android.graphics.drawable.Drawable): void;
					public recomputeViewAttributes(param0: android.view.View): void;
					public canChildScrollUp(): boolean;
					public focusableViewAvailable(param0: android.view.View): void;
					public unscheduleDrawable(param0: android.graphics.drawable.Drawable): void;
					public constructor(param0: android.content.Context);
					public getNestedScrollAxes(): number;
					public isNestedScrollingEnabled(): boolean;
					public addView(param0: android.view.View): void;
					public constructor(param0: android.content.Context, param1: android.util.AttributeSet);
					public focusSearch(param0: android.view.View, param1: number): android.view.View;
					public dispatchNestedPreFling(param0: number, param1: number): boolean;
					public setProgressViewOffset(param0: boolean, param1: number, param2: number): void;
					public onLayout(param0: boolean, param1: number, param2: number, param3: number, param4: number): void;
					public requestSendAccessibilityEvent(param0: android.view.View, param1: android.view.accessibility.AccessibilityEvent): boolean;
					public startNestedScroll(param0: number): boolean;
					public hasNestedScrollingParent(): boolean;
					public getProgressCircleDiameter(): number;
				}
				export module SwipeRefreshLayout {
					export class OnRefreshListener extends javalangObject {
						/**
						 * Constructs a new instance of the android.support.v4.widget.SwipeRefreshLayout$OnRefreshListener interface with the provided implementation.
						 */
						public constructor(implementation: {
							onRefresh(): void;
						});
						public onRefresh(): void;
					}
				}
			}
		}
	}
}


